For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update systemInformation for a device

Update system information for a device.

put
/device
Authorizations
AuthorizationstringRequired

The devicetoken is only used for to attach devices and tie it to a tenant

Body
systemInformationstringRequired

Contains device name, OS, release version of OS, OS build date, like a uname -a response on linux servers

Responses
204

No Content

No content

put/device
PUT /v2/device HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "systemInformation": "text"
}
204

No Content

No content

Last updated

Was this helpful?